API ReferenceTickets
Search tickets
Search tickets with filters, search terms, includes, and sort instructions in a JSON request body.
Search tickets with filters, search terms, includes, and sort instructions in a JSON request body.
POST
header
AuthorizationBearer <API Key>Provide your SellApp API key as a bearer token.
X-STORE?stringStore slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
application/json- body
filters?array<|>sort?array<>search?includes?array<>Successful response.
application/json- response
data*array<>links*meta*curl -X POST 'https://sell.app/api/v2/tickets/search' \ -H 'X-STORE: launch-lab' \ -H 'Content-Type: application/json' \ -d '{ "filters": [ { "field": "id", "operator": "=", "value": 1 } ], "sort": [ { "field": "created_at", "direction": "desc" } ]}'{ "data": [ { "id": 1, "title": "Payment methods", "status": "OPEN", "customer": { "id": 125, "email": "jamie.chen@example.com" }, "reference": { "type": null, "id": null }, "created_at": "2022-12-12T12:12:12.000000Z", "updated_at": "2022-12-12T12:12:12.000000Z", "store_id": 1, "archived": 0, "read_status": { "customer": false, "store": true }, "order_id": null, "reason": null, "message_count": 0 } ], "links": { "first": "https://sell.app/api/v2/tickets/search?page=1", "last": "https://sell.app/api/v2/tickets/search?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "path": "https://sell.app/api/v2/tickets/search", "per_page": 20, "to": 1, "total": 1, "links": [ { "url": null, "label": "« Previous", "active": false }, { "url": "https://sell.app/api/v2/tickets/search?page=1", "label": "1", "active": true }, { "url": null, "label": "Next »", "active": false } ] }}